import { Request, Response } from 'express';
import { DeviceChangeFilterDto, RequestDeviceChangeDto, ReviewDeviceChangeDto } from './devices.dto';
import { DevicesService } from './devices.service';
export declare class DevicesController {
    private readonly service;
    constructor(service: DevicesService);
    requestChange(body: RequestDeviceChangeDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getMyDevice(owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getRequests(query: DeviceChangeFilterDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    reviewRequest(id: string, body: ReviewDeviceChangeDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    resetDevice(memberId: string, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
}
